BusData Struct Reference
D-Bus secret internal implementation details » Message bus APIs internals

Block of message-bus-related data we attach to each DBusConnection used with these convenience functions. More...

## Data Fields

DBusConnection * | connection
| Connection we're associated with.
char * | unique_name
| Unique name of this connection.
unsigned int | is_well_known: 1
| Is one of the well-known connections in our global array.

## Detailed Description

Block of message-bus-related data we attach to each DBusConnection used with these convenience functions.

Definition at line 79 of file dbus-bus.c.

## Field Documentation

## connection

DBusConnection* BusData::connection

Connection we're associated with.

Definition at line 81 of file dbus-bus.c.

## is_well_known

unsigned int BusData::is_well_known

Is one of the well-known connections in our global array.

Definition at line 84 of file dbus-bus.c.

## unique_name

char* BusData::unique_name

Unique name of this connection.

Definition at line 82 of file dbus-bus.c.

Referenced by dbus_bus_get_unique_name(), dbus_bus_register(), and dbus_bus_set_unique_name().

The documentation for this struct was generated from the following file:

- dbus-bus.c